Get Leads
/unified/crm/leads/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
2 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.debugreturns the final unified result alongside raw remote fetch information. The response is an envelope containingresult(identical to unified mode output) anddebug(withrequestUrl,requestOptions,data,responseHeaders, and for list operations:nextCursor,isLooping,isEmptyResult,resultCount).debugisnullfor static responses or whentruto_skip_api_call=true.
Defaults to unified.
unifiedunifiedrawnormalizedstreamdebug
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The lead' unique identifier
11 supported
The lead's account
7 supported
The account's unique identifier
6 supported
The city
The country
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The contact associated with the lead
6 supported
The contact's unique identifier
The lead's converted account
2 supported
The date and time of the lead's conversion
3 supported
The lead's converted contact
2 supported
The date and time of the lead's creation
11 supported
All the custom fields present on the lead
8 supported
8 supported
The email address
The email address type
The lead's first name
7 supported
The date and time of the lead's last activity
5 supported
The lead's last name
7 supported
The lead's source
9 supported
The lead's type
1 supported
The lead's owner
11 supported
The lead's owner's unique identifier
7 supported
The extension of the phone number
The phone number
The phone number type
Raw data returned from the remote API call.
The lead's status
5 supported
The lead's title
10 supported
The date and time of the lead's last update
11 supported
The lead's urls
5 supported
The lead's URL type
The lead's URL
truto unified crm leads '<resource_id>' \
-m get \
-a '<integrated_account_id>' \
-o jsonimport Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'crm',
'leads',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"crm",
"leads",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())curl -X GET 'https://api.truto.one/unified/crm/leads/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/leads/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/leads/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())